Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class ComponentAdapter

    java.lang.Object
      |
      +--java.awt.event.ComponentAdapter

All Implemented Interfaces:
  ComponentListener, EventListener

Direct Known Subclasses:
  BasicSliderUI.ComponentHandler, BasicTreeUI.ComponentHandler, JViewport.ViewListener

public abstract class ComponentAdapter
extends Object
implements ComponentListener

An abstract adapter class for receiving component events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `ComponentEvent` listener and override the methods for the events of interest. (If you implement the `ComponentListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using your class and then register it with a component using the component's `addComponentListener` method. When the component's size, location, or visibility changes, the relevant method in the listener object is invoked, and the `ComponentEvent` is passed to it.

Since:
  1.1
See Also:
  `ComponentEvent`, `ComponentListener`, Tutorial: Writing a Component Listener, Reference: The Java Class Libraries (update file)

Constructor Summary
`ComponentAdapter()`

Method Summary
`void` | `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
`void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.
`void` | `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAdapter

    public ComponentAdapter()

Method Detail

### componentResized

    public void componentResized(ComponentEvent e)

  Invoked when the component's size changes.
  Specified by:
    `componentResized` in interface `ComponentListener`

### componentMoved

    public void componentMoved(ComponentEvent e)

  Invoked when the component's position changes.
  Specified by:
    `componentMoved` in interface `ComponentListener`

### componentShown

    public void componentShown(ComponentEvent e)

  Invoked when the component has been made visible.
  Specified by:
    `componentShown` in interface `ComponentListener`

### componentHidden

    public void componentHidden(ComponentEvent e)

  Invoked when the component has been made invisible.
  Specified by:
    `componentHidden` in interface `ComponentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.